Bug 505516 - (some) rootless applications not working (gnome-terminal fails, gedit succeeds)
(some) rootless applications not working (gnome-terminal fails, gedit succeeds)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: freenx-server (Show other bugs)
11
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-12 04:06 EDT by Sascha Thomas Spreitzer
Modified: 2009-09-11 19:23 EDT (History)
1 user (show)

See Also:
Fixed In Version: 3.3.0-38.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-11 19:22:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
node.conf configuration file (21.69 KB, text/plain)
2009-06-12 04:06 EDT, Sascha Thomas Spreitzer
no flags Details
nxserver.log logfile (4.66 KB, text/plain)
2009-06-12 04:07 EDT, Sascha Thomas Spreitzer
no flags Details
session directory (1.75 KB, application/x-bzip2)
2009-06-12 04:10 EDT, Sascha Thomas Spreitzer
no flags Details

  None (edit)
Description Sascha Thomas Spreitzer 2009-06-12 04:06:49 EDT
Created attachment 347520 [details]
node.conf configuration file

Description of problem:
I am not able to start rootless applications with freenx-server and fedora 11.
A desktop session with gnome works fine instead. But only to start the command '/usr/bin/gnome-terminal' is not working. The session opens and closes without failure.
Needed fonts for linux are install and needed fonts are installed on the windows client as well.

Version-Release number of selected component (if applicable):
freenx-server-0.7.3-12.fc11.x86_64
nx-3.2.0-32.fc11.x86_64

The client is windows with version 3.3.0-6

How reproducible:
Starting a session 'unix-application' with the command '/usr/bin/gnome-terminal'.
  
Actual results:
Sesson opens and closes without failure, nor errors.

Expected results:
Opening of a rootless gnome-terminal window.
Comment 1 Sascha Thomas Spreitzer 2009-06-12 04:07:44 EDT
Created attachment 347521 [details]
nxserver.log logfile
Comment 2 Sascha Thomas Spreitzer 2009-06-12 04:10:21 EDT
Created attachment 347522 [details]
session directory
Comment 3 Sascha Thomas Spreitzer 2009-06-12 10:45:55 EDT
Running gnome-terminal is not possible.
Running gedit is possible.

[~]$ gnome-terminal 
Xlib:  extension "Generic Event Extension" missing on display ":2000.0".
Xlib:  extension "Generic Event Extension" missing on display ":2000.0".
Xlib:  extension "Generic Event Extension" missing on display ":2000.0".
Xlib:  extension "Generic Event Extension" missing on display ":2000.0".
Xlib:  extension "Generic Event Extension" missing on display ":2000.0".
Failed to contact the GConf daemon; exiting.

[~]$ gedit 
Xlib:  extension "Generic Event Extension" missing on display ":2000.0".
Xlib:  extension "Generic Event Extension" missing on display ":2000.0".
Xlib:  extension "Generic Event Extension" missing on display ":2000.0".
Xlib:  extension "Generic Event Extension" missing on display ":2000.0".
Xlib:  extension "Generic Event Extension" missing on display ":2000.0".

Assuming problem is with gnome-terminal? Can someone confirm?
Comment 4 Fedora Update System 2009-09-02 18:04:48 EDT
nx-3.3.0-38.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/nx-3.3.0-38.fc11
Comment 5 Fedora Update System 2009-09-02 18:04:57 EDT
nx-3.3.0-38.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/nx-3.3.0-38.fc10
Comment 6 Axel Thimm 2009-09-02 18:11:33 EDT
I'm not sure whether the updates above fix these issues, the changes include the following comment:

 * The X11 agent could terminate unexpectedly when running code handling colormaps
   on 64 bit platforms.

Perhaps this is the bug yu experience. Please give it a try and let me know whether it really solves the issue or not. Thanks!
Comment 7 Fedora Update System 2009-09-04 00:02:23 EDT
nx-3.3.0-38.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nx'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9266
Comment 8 Fedora Update System 2009-09-04 00:06:42 EDT
nx-3.3.0-38.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nx'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-9296
Comment 9 Fedora Update System 2009-09-11 19:21:57 EDT
nx-3.3.0-38.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-09-11 19:23:18 EDT
nx-3.3.0-38.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.